package com.cirle.scientific.service;

import com.cirle.scientific.dto.QkjCourseWareDto;
import com.cirle.scientific.po.QkjCourseWare;
import com.cirle.scientific.pojo.Result;
import com.cirle.scientific.utils.page.ResultPage;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface QkjCourseWareService {

    Result getListData(String memCard, Integer cataId, Integer page, Integer size);

    Result downFile(HttpServletResponse response, String memCard, Long id);

    ResultPage getPageData(String memCard, Integer cataId, Integer page, Integer size);

    ResultPage getListDataForMe(String memCard, Integer belongBrandId, Integer page, Integer size);

    Result add(QkjCourseWareDto resources);

    /**
     * 多选删除
     * @param ids /
     */
    Result deleteAll(List<Long> ids);

    Result downFileForPPt(HttpServletResponse response,  String memCard, Long id);


    Result downFileForPPtBatch(HttpServletResponse response, List<Integer> ids);
}
